<?php
/**
 * @package     TX_Freemium
 * @version     1.7
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        index.php
 **/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );

//framework bootstrap
if(file_exists(JPATH_LIBRARIES.DS.'expose'.DS.'bootstrap.php')){
    require_once JPATH_LIBRARIES.DS.'expose'.DS.'bootstrap.php';
}else{
    echo JText::_('Unable to find Expose library.  Please make sure you have it installed.');
    die;
}
?>

<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $expose->direction ;?>" class="no-js">
    <head>
        <?php
            $expose->displayHead();
            $expose->addStyles(array('template.css','typography.css'));
        ?>
    </head>
    
    <body <?php echo $expose->generateBodyClass();?> >

        <?php /**Begin Roof**/ if($expose->countModules('roof',5)): ?>
        <!--Start Roof Modules-->
        <div id="tx-roof">
            <div class="tx-container">
                <?php $expose->renderModules('roof','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Roof Modules-->
        <?php /**End Roof**/ endif;?>

        <?php /**Begin Header**/ if($expose->countModules('header',5)): ?>
        <!--Start Header Modules-->
        <div id="tx-header">
            <div class="tx-container">
                <?php $expose->renderModules('header','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Header Modules-->
        <?php /**End Header**/ endif;?>

        <?php /**Begin Top**/ if($expose->countModules('top',5)): ?>
        <!--Start Top Modules-->
        <div id="tx-top">
            <div class="tx-container">
                <?php $expose->renderModules('top','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Top Modules-->
        <?php /**End Top**/ endif;?>

        <?php /**Begin Utility**/ if($expose->countModules('utility',5)): ?>
        <!--Start Utility Modules-->
        <div id="tx-utility">
            <div class="tx-container">
                <?php $expose->renderModules('utility','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Utility Modules-->
        <?php /**End Utility**/ endif;?>

        <?php /**Begin Feature**/ if($expose->countModules('feature',5)): ?>
        <!--Start Feature Modules-->
        <div id="tx-feature">
            <div class="tx-container">
                <div class="tx-container-inner">
                    <?php $expose->renderModules('feature','standard',array(/*pass the class name seperate by , */)); ?>
                    <div class="clear"></div>
                </div>
            </div>
        </div>
        <!--End Feature Modules-->
        <?php /**End Feature**/ endif;?>

        <?php /**Begin Main-Top**/ if($expose->countModules('main-top',5)): ?>
        <!--Start Main-Top Modules-->
        <div id="tx-main-top">
            <div class="tx-container">
                <?php $expose->renderModules('main-top','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Main-Top Modules-->
        <?php /**End Main-Top**/ endif;?>

        <!--Start Main Body-->
        <div id="tx-main">
            <div class="tx-container">
                <?php $expose->renderBody();?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Main Body Modules-->

        <?php /**Begin Main-Bottom**/ if($expose->countModules('main-bottom',5)): ?>
        <!--Start Main-Bottom Modules-->
        <div id="tx-main-bottom">
            <div class="tx-container">
                <?php $expose->renderModules('main-bottom','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Main Bottom Modules-->
        <?php /**End Main Bottom**/ endif;?>

        <?php /**Begin Bottom**/ if($expose->countModules('bottom',5)): ?>
        <!--Start Bottom Modules-->
        <div id="tx-bottom">
            <div class="tx-container">
                <?php $expose->renderModules('bottom','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Bottom Modules-->
        <?php /**End Bottom**/ endif;?>

        <?php /**Begin Footer**/ if($expose->countModules('footer',5)): ?>
        <!--Start Footer Modules-->
        <div id="tx-footer">
            <div class="tx-container">
                <?php $expose->renderModules('footer','standard',array(/*pass the class name seperate by , */)); ?>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Footer Modules-->
        <?php /**End Footer**/ endif;?>

        <div id="tx-legal">
            <div class="tx-container">
                <?php $expose->loadGists(array('copyright','legal','exposelogo'));?>
                <div class="clear"></div>
            </div>
        </div>
    </body>
</html>
<?php
$expose->loadGists(array('analytics','lazyloader','modernizr'));
$expose->finalizedExpose();
?>